@mixin each-style-recursive($styles) {
  @each $key, $value in $styles {
    $type: type-of($value);

    @if ($type == map) {
      #{$key} {
        @include each-style-recursive($value);
      }
    } @else if $type == string {
      #{$key}: string.unquote($value);
    } @else {
      #{$key}: $value;
    }
  }
}
